specs/build-im.sh returns error exit code if build fails
authorjenda
Tue, 01 Feb 2011 19:13:24 +0100
changeset 661 af03228e30b8
parent 660 854273d4c902
child 662 c50b4552c88b
specs/build-im.sh returns error exit code if build fails
specs/build-im.sh
--- a/specs/build-im.sh	Mon Jan 31 09:55:47 2011 +0100
+++ b/specs/build-im.sh	Tue Feb 01 19:13:24 2011 +0100
@@ -124,6 +124,8 @@
 fi
 
 echo "$PKGTOOL $CMD $PKGBUILDARGS --define \"ipsvendorver $IPS_VENDORVER\" --define '_tmppath %{_topdir}/TMP' $SPECFILES"
-(cd $TOPDIR; $PKGTOOL $CMD $PKGBUILDARGS --define "ipsvendorver $IPS_VENDORVER" --define '_tmppath %{_topdir}/TMP' $SPECFILES)
+
+cd $TOPDIR
+$PKGTOOL $CMD $PKGBUILDARGS --define "ipsvendorver $IPS_VENDORVER" --define '_tmppath %{_topdir}/TMP' $SPECFILES || exit 1
 
 date